# Get Block Transactions

## **ENDPOINT**

{% code fullWidth="false" %}

```
GET https://www.data123.io/aleo/<API KEY>/v1/testnet3/block/{height}/transactions
```

{% endcode %}

### **Arguments**

<table><thead><tr><th width="198">Parameter</th><th width="128">Type</th><th width="119">Request</th><th>Description</th></tr></thead><tbody><tr><td>height</td><td>u32</td><td>Yes</td><td>The block height of the requested transactions.</td></tr></tbody></table>

### **Response**

<table><thead><tr><th width="203">Parameter</th><th width="151">type</th><th>Description</th></tr></thead><tbody><tr><td>result</td><td><a href="https://developer.aleo.org/concepts/transactions/">array</a></td><td>The array of transactions in the block</td></tr></tbody></table>

### Request

{% tabs %}
{% tab title="REST" %}

```bash
curl https://api.data123.io/aleo/<API KEY>/v1/testnet3/block/10000/transactions
```

{% endtab %}

{% tab title="JSON-RPC" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://api.data123.io/aleo/&#x3C;API KEY>/rpc/v1/testnet3 \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"getBlockTransactions","params":[10000],"id":1}'
</code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.data123.io/reference/api-reference/aleo/rpc-methods/get-block-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
